Skip to content
15 - 03 - 2009 / Gómez Hyuuga

Instalar Gnome Do 0.8.

Gnome Do es un simple y sencillo pero muy potente lanzador de aplicaciones con el cual únicamente pulsando una combinación de teclas podremos acceder a aplicaciones, carpetas o infinidad de cosas posibles gracias a plugins para el mismo.

En su nueva versión 0.8 añadio una nueva opción para poderlo utilizar como dock para el escritorio que puede ser una gran alternativa a otros como AWN, Cairo Dock o Wbar.

Para instalarlo en Fedora lo haremos desde el código fuente ya que el que esta en los repositorios es la versión 0.6 y no la nueva.

Bien, primero abrimos la terminal; menú Aplicaciones->Herramientas del Sistema->Terminal.

Después instalamos varios paquetes necesarios para la compilación del programa. Ponemos lo siguiente:

su -c 'yum -y install gnome-sharp-devel gnome-desktop-sharp-devel gtk-sharp2-devel ndesk-dbus-glib-devel ndesk-dbus-devel  notify-sharp-devel mono-addins-devel mono-devel gnome-keyring-sharp-devel'

Ahora obtenemos el código fuente de Gnome-do con el siguiente comando:

wget http://edge.launchpad.net/do/trunk/0.8.0/+download/gnome-do-0.8.0.tar.gz

Después extraemos el paquete con:

tar xvzf gnome-do-0.8.0.tar.gz

Ahora entramos a la carpeta resultante:

cd gnome-do-0.8.0

Una vez dentro de la carpeta, configuramos el programa para su compilación, escribimos:

./configure

Cuando termine el proceso, procedemos a compilarlo con:

make

Y por último lo instalamos con:

su -c 'make install'

¡Listo! Gnome-do 0.8 ha sido instalado. Podremos acceder a él desde el menú Aplicaciones->Accesorios->Gnome Do.

Aparecerá una especie de mini-ventana.

Gnome Do 0.8.

Gnome Do 0.8.

Para activar el dock, pulsamos en la pequeña flecha en la parte superior izquierda y después en Preferences.

Ahora en la ventana de preferencias vamos a la pestaña Appearance y en la opción Themes seleccionamos el tema llamado Docky.

Gnome Do - Docky.

Gnome Do - Docky.

Listo! ya podemos disfrutar de nuestro dock :-).

Lo único malo es que no he podido instalar los plugins, si llego a hacerlo inmediatamente publicaré el cómo.

Anuncios

14 comentarios

Dejar un comentario
  1. markuz / Mar 15 2009 7:07 PM

    Es bastante util, sobre todo si quieres saber si tu tema de iconos es escalable o si tiene iconos de alta resolucion 🙂

  2. Israrace / Mar 16 2009 8:42 AM

    Y la verdad es que el dock a mí me parece más completo que AWN, ya que al menos permite arrastrar directamente los iconos, y aunque no tiene tantos efectos está muy bien.

    Además hay plugins para todo, algo así como el Quicksilver de Mac.

    Yo lo tengo siempre ya que con Inicio (creo que en linux a esa tecla la llaman Meta) + Barra espaciadora, tienes todas las aplicaciones que no están en el dock con solo escribirlas.

    Recomiendo usarlo porque es realmente cómodo 🙂 , lástima que no hayan actualizado la versión de los repositorios

    Saludos

  3. Gómez Hyuuga / Mar 16 2009 10:38 AM

    @markus: Sip, también nos puede servir de eso 😛 (vaya que el tema de iconos que tenía esta muy feito XD)

    @isra: Tienes razón, es bastante útil para lanzar programas y sin tenerlos en el dock, me gusto por que es muy parecido al Krunner de KDE.

    La versión 0.8 según tengo entendido también se encuentra en los repos Rawhide, haber si para Fedora 11 lo ponen por default.

    Saludos y gracias por sus comentarios 🙂

  4. Máximo ʚʀɛɑʍɛʀ / Mar 21 2009 4:04 AM

    Yo lo instalé desde un .rpm ya que al compilar siempre me da errores…
    No lo entiendo :/…

  5. Gómez Hyuuga / Mar 21 2009 4:40 PM

    @Máximo: Seguramente te da los errores porque no tenías las dependencias instaladas.

    Saludos!

  6. Datzerox / Mar 30 2009 9:00 AM

    Hola, estoy siguiendo todos tus pasos pero el ./configure me sale lo siguiente:

    checking for LIBDO… configure: error: Package requirements (glib-2.0 gdk-2.0 gdk-x11-2.0 gtk+-2.0) were not met:

    No package ‘gdk-2.0’ found
    No package ‘gdk-x11-2.0’ found
    No package ‘gtk+-2.0’ found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables LIBDO_CFLAGS
    and LIBDO_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.

    ¿Qué me hace falta?

    Salu2

    • Gómez Hyuuga / Mar 30 2009 2:02 PM

      mmm… haber intenta instalando este paquete:
      su -c ‘yum -y install gtk+-devel’

      Si no también puedes instalar el grupo de librerías de desarrollo de Gnome, así también te evitas problemas de compilación con otros programas, pon esto en la terminal:
      su -c ‘yum groupinstall “Desarrollo de software de GNOME”‘

      Prueba a hacer eso y comenta que tal te fue. Suerte :).

  7. julkian / Jun 8 2009 12:15 PM

    un servidor lo ha probado (tengo el mismo error) pero esos paquetes no estan en la instalacion que recomiendas gómez hyuuga. Grancias igualmente. Si sabes (o alguien sabe) qué hay que instalar, por favor lo comente.

    Yo seguiré buscando a ver si encuentro algo

    un saludo

    • Gómez Hyuuga / Jun 8 2009 3:30 PM

      Lo que dices que no encuentra es el grupo de desarrollo de software de GNOME? Si es eso, lo siento mucho. Lo que pasa es que me equivoque al poner las comillas y por lo tanto no reconoce bien el comando, ya lo he corregido, prueba otra vez haber que tal.

      Saludos!

  8. yohan / Jul 22 2009 5:14 PM

    hola mira e instalado paso a paso pero no me sale activado la casilla de theme para activar docky que puede ser ????

    gracias

    • Gómez Hyuuga / Jul 22 2009 6:07 PM

      mmm… intenta a instalar Gnome Do desde los repos:

      su -c "yum install gnome-do"

      Haber si funciona bien 🙂

      Un saludo!

Trackbacks

  1. Qué hacer después de instalar Fedora 11 Leonidas | Post-Instalación. « Fedoreando
  2. Qué hacer después de instalar Fedora 11 | El Blog de Rigo
  3. Qué hacer después de instalar Fedora 11 Leonidas | Post-Instalación. « Solo LiNeX

Comparte tu opinión

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s